<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Looking for articles and select them. Then put to positions
  *
  *
  * Required: class Row_Select()
  * 
  * @since 2011-10
  */

class Article_Select extends Dbc
{
    
protected $arr_fields_form = array(); // fields for selected row form
protected $arr_fields_with_alias_table = array(); // fields for table


/**
 *
 * @global type $tbl_adr
 * @global type $tbl_ord
 * @global type $tbl_pri
 * @global type $use 
 */
function select_delivery_address() 
{
    global $tbl_adr;
    global $tbl_ord;
    global $tbl_pri;
    global $use;
    
    if (isset($_SESSION['select_deliverer'])) {
        
        if ( isset($_REQUEST['go']) || $_SESSION['tbl'] == 'hou') {
            $_SESSION['value1'] = '';
        }
        
        // Update field id_tbl_address_deliv
        if ($_SESSION['select_deliverer'] == 'selected') {

            if ($_SESSION['src_file'] == 'order_edit.php') {
               $sql = "
                    UPDATE $tbl_ord
                    SET id_tbl_address_deliv = " . $_GET['deliver_id']
                    . " WHERE id = " . $_SESSION['auf_id'];
               $this->select_db($use['db_e']);
                $this->do_sql($sql);
                unset($_SESSION['select_deliverer']);
                $go = new Go_Forward();
                $go->go_to_target($_SESSION['src_file']);
                
            // tbl_pre, changing of id_tbl_address
            }elseif($_SESSION['src_file'] == 'query.php') {
               $sql = " UPDATE $tbl_pri
                        SET id_tbl_address = " . $_GET['deliver_id']
                    . " WHERE id = " . $_SESSION['deliv_id'];
                $this->do_sql($sql);
                unset($_SESSION['select_deliverer']);
                $go->go_to_target($_SESSION['src_file'].'?value1='.$_SESSION['id'] );
                
            }
        }

        $sel = new Row_Select($use['db_e']);
        $arr = array('tbl'=> 'adr', 'select_deliverer' => 'selected');
        $sel->set_link_queryarr($arr);
        $sel->set_link_target('article_select.php');
        $sel->set_link_keyword('select_deliverer');
        $sel->set_link_id_name_in_querystr('deliver_id');
        $sel->set_link_addition(' zur Lieferadresse machen');
        $sel->set_tbl_src($tbl_adr);
        $fields = array(
            'id',
            'company',
            'surname',
            'forename',
            'postcode',
            'city',
            'street',
            );
        
        
        $sel->set_tbl_src_fields($fields);
        $sel->print_head();
        $headline = '<h1>Lieferadresse auswhlen</h1>';
        $sel->print_menu($headline, 'deliv');
        $sel->show_tbl_src();
        $sel->print_foot();
        exit();
    } 
}


/**
 *
 * @global type $tbl_adm
 * @global type $tbl_tex
 * @global type $tbl_ord
 * @global type $use 
 */
function select_text() 
{
    global $la_text_select;
    global $la_text_appropriate;
    global $tbl_adm;
    global $tbl_tex;
    global $tbl_ord;
    global $use;
    
    if (isset($_SESSION['select_text']) ) {
        
        // Update field id_tbl_address_deliv
        if ($_SESSION['select_text'] == 'selected') {

            /**
             *  Switch
             */
            // For order
            if ($_SESSION['tbl'] == 'ord') {
                $id_x = $_SESSION['auf_id'];
                $table = $tbl_ord;
                
            // for admin
            }else{
                $id_x = 1;
                $table = $tbl_adm;
            }
            /**
             *  Set text
             */
            $sql = "
                UPDATE $table 
                SET " . $_SESSION['text_art'] . " = " . $_SESSION['text_id'] . " 
                WHERE id = $id_x";
            $this->do_sql($sql);
            $go = new Go_Forward();
            $go->go_to_target(PROJECT_HTTP_ROOT.$_SESSION['src_file']);
        } // end update

        
        $sel = new Row_Select($use['db_e']);
        $arr = array(
            'select_text' => 'selected',
            );
        $sel->set_link_queryarr($arr);
        $sel->set_link_target('article_select.php');
        $sel->set_link_keyword('select_text');
        $sel->set_link_id_name_in_querystr('text_id');
        $sel->set_link_addition('_'.$la_text_appropriate);
        $sel->set_tbl_src($tbl_tex);
        $fields = array(
            'id',
            'short',
            'text_block',
            );
        
        $sel->set_tbl_src_fields($fields);
        $sel->print_head();
        $headline = '<h1>' . $la_text_select . '</h1>';
        $sel->print_menu($headline, 'text');
        $sel->show_tbl_src();
        $sel->print_foot();
        exit();
    } 
}


/**
 *
 */
function print_link_new_client_article() 
{
    global $file;
    if ($_SESSION['src_tbl'] == 'cli_pro') {
        if (isset($_REQUEST['id'])) {
            $arr2['adr_id'] = $_REQUEST['id'];
            $arr2['id'] = $_REQUEST['id'];
        }
        if (isset($_REQUEST['kun_id'])) {
            $arr2['kun_id'] = $_REQUEST['kun_id'];
        }
        $arr2['src_tbl'] = 'pri';
        $arr2['target_tbl'] = 'cli_pro';
        $arr2['src_file'] = $file;
        $arr2['limit_start'] = 0;
        $arr2['modus'] = 'eintrag';
        $arr2['new'] = 1;
        $la_order = 'Neuer Rabattartikel ...';
        $link = new Link();
        print $link->make_link('article_select.php', $la_order.' ', 
                $arr2, 'neuer Rabattartikel f&uuml;r Kunde');
    }
}

/**
 * Sets array with field name and alias
 * @param array $value 
 */
function set_fields_form($value) 
{
    $this->arr_fields_form = $value;
}

/**
 * Sets array with field name and alias
 * @param array $value 
 */
function set_fields_with_alias_table($value) 
{
    $this->arr_fields_with_alias_table = $value;
}

/**
 *
 * @global type $html
 * @global type $use
 * @global type $row3
 * @global type $la_pos_nr_liste
 * @global type $la_amount
 * @global type $la_material_waste
 * @global type $la_take_list 
 */
function print_form_for_selected_row() 
{
    global $html;
    global $use;
    global $row3;
    global $la_pos_nr_liste;
    global $la_amount;
    global $la_material_waste;
    global $la_take_list;
    global $src_tbl;
    global $tbl_pro;
    
    // Initial session var if is'nt set
    initial_var(array('item'));

    
    ?>
<br>
    <form  method="post" action="article_select.php" >
    <table>
    <tr>
        <td>
            <input type="text" name="item" size="8" value="<?php 
            if(isset ($_SESSION['item'])) {
                print $_SESSION['item']; 
            } ?>">
            <?php print $la_pos_nr_liste; ?>
          <br/>
          <?php
          
    $form = new Db_Form();
    $form->set_form_type('e');
    $form->set_fields($this->arr_fields_form);
    $form->set_tbl_and_id($src_tbl, $_REQUEST['mat_id']);
    $form->iterate_fields('e');
    
        // Display field amount
        if ($_SESSION['target_tbl'] == 'cal_fit' or $_SESSION['target_tbl'] == 'ord_ite') {
            ?>
          <input type="text" name="amount" size="4" value="1"> <?php print $la_amount; ?> 
          <br/><br/>
            <?php
        }

        // Display field waste
        if ($_SESSION['target_tbl'] == 'cal_mat' and $row3['id_tbl_unit'] == 5) {
            ?>
            <input type="text" name="waste" size="4" value="30"> <?php print $la_material_waste; ?> 
            <br/><br/>
            <?php
        }


        if($row3['id_tbl_unit'] == 2) {
            ?>
            <input type="text" name="edge" size="2" value=""> KantenNr
            <br/>
            <?php
        }

        // Show take or change buttons
        if (isset ($_SESSION['tausch']) and $_SESSION['tausch'] == 2) {
            ?>
            <input type="submit" name="tausch3" value="austauschen">
            <?php
            
        }else{
           ?>
            <input type="submit" name="insert" value="<?php print $la_take_list; ?>">
            <?php
        }
        ?>
        </td>
    </tr>
        </table>
        <?php
        
        
      print  $html->html_x(1, 'purchase_price = Einkaufspreis, sales_price = Verkaufspreis', 'p');
      check_id_field();
      
        ?>
    <br/>
    <input type="hidden" name="insert_data" value="1">
    <input type="hidden" name="tax_a_b" value="<?php 
    if (isset($row3['tax_a_b'])) { 
        print $row3['tax_a_b'];
    } ?>">
    <input type="hidden" name="mat_id" value="<?php print $_SESSION['mat_id']; ?>">
    <input type="hidden" name="id_tbl_order_item" value="<?php
    if (isset($_SESSION['auf_pos_id'])) {
        print $_SESSION['auf_pos_id'];
    }
    ?>">
    <input type="hidden" name="id_tbl_order" value="<?php print $_SESSION['auf_id']; ?>">
    <input type="hidden" name="target_tbl" value="<?php print $_SESSION['target_tbl']; ?>">
    <input type="hidden" name="file" value="<?php print $_SESSION['file']; ?>">
    
    
    <?php
    // Product id for analysis.php
    if ($_SESSION['src_tbl'] == 'pro') {
        //id_tbl_product
        $this->select_db($use['db_e']);
        $id_tbl_product = $this->get_one_field($tbl_pro, $_REQUEST['mat_id'], 'id');
    ?>
    <input type="hidden" name="id_tbl_product" value="<?php print $id_tbl_product; ?>">
    <?php
    }
    ?>
    <br/>
    </form>
    <?php
}


} // end class
?>