<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Class for dump a row into a table
 * 
 * @since 2011
 */
class Db_Dump_Row extends Dbc 
{

private $arr_skipped_fields = array();

/**
 *
 * @global type $arr_salutation
 * @param type $array 
 */
function dump_row_as_table($array) 
{
    global $arr_salutation;
    
    print '<div>';
    print '<table style="width:auto;">' . "\n";
    print '<th>Feld</th>';
    print '<th>Wert</th>';
    $i = 0;
        foreach ($array as $col => $value) {
            if ($i % 2 == 0) {
                $bg = '#E3E3E3';
            }else{ 
                $bg = '#F3F3F3';
            }
            if(!empty($this->arr_skipped_fields)) {
                $bool_skipped_field_list = in_array($col, $this->arr_skipped_fields);
            }else{
                $bool_skipped_field_list = false;
            }
            
            if ($bool_skipped_field_list == false) {
                
                print "<tr>\n";
                $style = ' style="background-color:' . $bg . ';"';
                $alias = Query::get_alias($col);
                print '<td '.$style.'>'.$alias.'</td>';
                if($col == 'Anrede') { // der alias von id_tbl_salutation
                    $value = $arr_salutation[$value];
                    print '<td '.$style.'>'.$value.'</td>';
                }else{
                    print '<td '.$style.'>'.$value.'</td>';
                }
                print "</tr>\n";
                $i++;
            }
        }
    print '</table>';
    print "</div>\n";
}

/**
 * 
 * 
 * @param type $arr_fields  original field name from table
 */
function skip_fields($arr_fields)
{
    $this->arr_skipped_fields = $arr_fields;
}

} // end class