<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Including classes, db-relations etc.
  *
  */

$path_class = PROJECT_DOCUMENT_ROOT . '/class/';
$path_include = PROJECT_DOCUMENT_ROOT . '/include/';

require_once $path_include . 'tbl_setting.inc.php';

// Autoload of classes
function __autoload($class)
{
    global $path_class;
    $class = strtolower($class);
    require_once $path_class . $class . '.class.php';
}

// Including table relations
require_once $path_include . 'relation.inc.php';


// Error-handling
if (USE_ERROR_HANDLER == true) {
    require_once $path_class . 'error_handling.php';
}