<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Class for showing confirmation window with YES or NO
 *
 * Requires class Html, Html_Element, Link
 *
 * @since 2010-12
 * 
 */
class Confirmation_Box extends Info_Box
{

    
/**
 *
 * @global type $file
 * @global type $la_cancel
 * @global type $la_yes
 * @global type $la_confirmation_required
 * @param type $text
 * @param type $param
 * @param type $value_in
 * @param type $value_out 
 */
function show_yes_or_no($text, $param, $value_in, $value_out) 
{
    global $file;
    global $la_cancel;
    global $la_yes_and_forward;
    global $la_confirmation_required;
    
    if ((isset($_REQUEST[$param]) and $_REQUEST[$param] == $value_in)) 
    {
        HTML::printHead();
        HTML::printBody();
        print '<div style="width: 60%;" class="center">';
        print '<br>';
        $link = new Link();
        $text =  $text
              . '<br><br>'
              . '<h1>';
        $target = $file;
        $text .= $link->make_link($target, $la_cancel)
              . ' &nbsp; &nbsp; &nbsp;';
        $target = $file . '?' . $param . '='.$value_out;
        $text .=  $link->make_link($target, $la_yes_and_forward)
              . '</h1>';

        $this->set_headline($la_confirmation_required);
        $this->set_padding(20);
        $this->show_box($text);
        print '</div>';
        HTML::printFoot();
        exit();
    }
}




} // end class

?>