<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Class for get the last and the next 3 ids from orders
  *
  * @since      06/2011
  */

class Navi extends Dbc 
{
    private $forward_ids = array();
    private $backward_ids = array();
    private $forward_nr = array();
    private $backward_nr = array();
    private $field = 'id';
    private $limit = 3;
    private $id;
    

    /**
     * Get the last order numbers
     * @global type $tbl_ord 
     */
    function get_last()
    {
        global $tbl_ord;
        $query = "  SELECT id, number, order_description FROM $tbl_ord
                    WHERE id < $this->id
                    ORDER BY $this->field DESC
                    LIMIT $this->limit
               ";
        $result = $this->query($query);
        while ($row = mysql_fetch_array($result)) {
            $this->backward_ids[] = $row['id'];
            $this->backward_nr[] = $row['number'];
            $this->backward_auf[] = $row['order_description'];
        }
        
        // change order of array
        if (!empty($this->backward_ids)) {
            
            $this->backward_ids = array_reverse($this->backward_ids);
            $this->backward_nr = array_reverse($this->backward_nr);
            $this->backward_auf = array_reverse($this->backward_auf);
        }
    }
    

    /**
     * Get the next order numbers
     * @global type $tbl_ord 
     */
    function get_next()
    {
        global $tbl_ord;
        $query = "  SELECT id, number, order_description FROM $tbl_ord
                    WHERE id > $this->id
                    ORDER BY $this->field ASC
                    LIMIT $this->limit ";
        $result2 = $this->query($query);
        while ($row = mysql_fetch_array($result2)) {
            $this->forward_ids[] = $row['id'];
            $this->forward_nr[] = $row['number'];
            $this->forward_auf[] = $row['order_description'];
        }
    }

    /**
     * Set id or number
     * 
     * @param type $param 
     */
    function set_field($param)
    {
        $this->field = $param;
    }



    /**
     * Print the last order numbers as a link
     */
    function make_links_backward() 
    {
        $link3 = new Link();
        $number = count($this->backward_ids);
        $link = '';
        for ($i=0; $i < $number; $i++) {
            $arr55 = array('id' => $this->backward_ids[$i]);
            
            if ($this->field == 'id') {
                $text = $this->backward_ids[$i];
            }else{
                $text = $this->backward_nr[$i];
            }
            
            $title = $this->backward_auf[$i];
            
            $link .= $link3->make_link("order_edit.php", $text, $arr55, $title) . ' ';
        }
        return $link;
    }
    
    
    /**
     * Print the next order numbers as a link
     */
    function make_links_forward() 
    {
            $link3 = new Link();
            $number = count($this->forward_ids);
            $link = '';
        for ($i=0; $i < $number; $i++) {
            $arr55 = array('id' => $this->forward_ids[$i]);
            
            if ($this->field == 'id') {
                $text = $this->forward_ids[$i];
            }else{
                $text = $this->forward_nr[$i];
            }
            
            $title = $this->forward_auf[$i];
            
            $link .= $link3->make_link("order_edit.php", $text, $arr55, $title) . ' ';
        }
        return $link;
    }


    /**
     *
     * @param type $param 
     */
    function set_id($param) 
    {
         $this->id = $param;
    }

    /**
     *
     * @param type $param 
     */
    function set_limit($param) 
    {
         $this->limit = $param;
    }

}

// end class
?>